Bug 603929 - No sound from headphone \ audio-out jacks on Dell Studio 1747 [1028:02eb]
No sound from headphone \ audio-out jacks on Dell Studio 1747 [1028:02eb]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
16
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 18:08 EDT by Rob Wills
Modified: 2013-03-02 19:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 914946 (view as bug list)
Environment:
Last Closed: 2013-02-13 19:43:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alsa-info.sh output file (28.90 KB, text/plain)
2010-06-14 18:08 EDT, Rob Wills
no flags Details

  None (edit)
Description Rob Wills 2010-06-14 18:08:15 EDT
Created attachment 423983 [details]
alsa-info.sh output file

Description of problem:
When you plug either headphones or external speakers into either of the two audio-out ports on a new Dell Studio 1747 model laptop the internal stereo speakers mute as they should, but there is no sound coming out of the connected headphones\speakers. I've tried every combination of output profile and output connector possible under the gnome volume control applet and have had no luck in getting audio to output through my external speakers.

How reproducible:
Very reproducible, happens every time.

Steps to Reproduce:
1. Start playing an audio file or watch a flash video.
2. Connect headphones or speakers into either of the audio-out ports on the side of the laptop.
3. The laptop's stereo speakers mute, but no sound comes out of the attached listening device.
  
Actual results:
You don't hear any sound.


Expected results:
You do hear sound.

Additional info: I've attached the output from alsa-info.sh. Here is some information about my audio devices and alsa\pulseaudio packages.

[Rob@Dell ~]$ rpm -qa | grep alsa
report-plugin-localsave-0.14-1.fc13.x86_64
alsa-lib-1.0.23-1.fc13.x86_64
alsa-firmware-1.0.23-1.fc13.noarch
alsa-plugins-pulseaudio-1.0.22-1.fc13.x86_64
alsa-tools-firmware-1.0.23-1.fc13.x86_64
alsa-utils-1.0.22-1.fc13.x86_64
report-config-localsave-0.14-1.fc13.x86_64

[Rob@Dell ~]$ rpm -qa | grep pulse
pulseaudio-libs-0.9.21-6.fc13.x86_64
xmms-pulse-0.9.4-8.fc12.x86_64
pulseaudio-module-lirc-0.9.21-6.fc13.x86_64
pulseaudio-0.9.21-6.fc13.x86_64
pulseaudio-module-x11-0.9.21-6.fc13.x86_64
pulseaudio-libs-glib2-0.9.21-6.fc13.x86_64
alsa-plugins-pulseaudio-1.0.22-1.fc13.x86_64
pulseaudio-module-bluetooth-0.9.21-6.fc13.x86_64
pulseaudio-module-zeroconf-0.9.21-6.fc13.x86_64
pulseaudio-module-gconf-0.9.21-6.fc13.x86_64
pulseaudio-gdm-hooks-0.9.21-6.fc13.x86_64
pulseaudio-esound-compat-0.9.21-6.fc13.x86_64
pulseaudio-utils-0.9.21-6.fc13.x86_64

[Rob@Dell ~]$ lspci | grep -i  audio
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 05)
02:00.1 Audio device: ATI Technologies Inc RV710/730 <- HDMI audio

[Rob@Dell ~]$ alsactl init
Unknown hardware: "HDA-Intel" "IDT 92HD73C1X5" "HDA:111d7675,102802eb,00100103" "0x1028" "0x02eb"
Hardware is initialized using a guess method

[Rob@Dell ~]$ cat /proc/asound/card0/codec#* | grep Codec
Codec: IDT 92HD73C1X5
Comment 1 Rob Wills 2010-06-20 20:42:38 EDT
Wanted to report that I found a work around for this bug and now have full functionality for my headphone and microphone\audio-out jacks on the laptop. Adding the following line to the file: /etc/modprobe.d/dist-alsa.conf does the trick.

options snd-hda-intel model=dell-m6

Information was obtained from http://www.kernel.org/doc/Documentation/sound/alsa/HD-Audio-Models.txt. Search the txt file for the codec used by your audio device (output of cat /proc/asound/card0/codec#* | grep Codec), mine was 92HD73C1X5. Search for a model that matches your coded code and substitute the model=xxx with one of the sub models until you have one that works. You'll need to log out before changes come into effect.

Not sure what this is really a bug against, as alsa is working fine with the hardware now that it knows which "model" is present.
Comment 2 Bug Zapper 2011-06-02 06:50:49 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Rob Wills 2011-06-02 07:55:10 EDT
Updating the version information of the bug report since the issue still exists in F15. The above fix still solves the problem, but I feel it is something that could be corrected without end-user intervetntion or research.
Comment 4 Fedora End Of Life 2013-01-16 17:03:39 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 19:43:23 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 vivoweb 2013-03-02 19:04:46 EST
The bug still exists in Fedora 18. The above fix works after a reboot.

Note You need to log in before you can comment on or make changes to this bug.